<?php

namespace App\Console\Commands;

use App\Models\Order;
use Illuminate\Console\Command;

class payOvertimeCheck extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'payOvertimeCheck';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '图文电话支付超时检测定时任务，1分钟跑一次，超过15分钟未支付的订单就变为已取消';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $time = time() - 15*60;
        $date = date('Y-m-d H:i:s', $time);
        Order::where('order_status', 1)->whereIn('product_type', [1, 2])->where('created_at', '<=', $date)->update(['order_status' => 5]);

        return true;
    }
}
