<div class="row">
    <div class="col-xs-12">
        <div class="box">
            <div class="box-header">
                <div class="box-body table-responsive no-padding" style="font-size: 15px;">
                    <div class="row" style="margin-bottom: 20px;">
                        <div class="col-xs-12">
                            <form class="form-inline">
                                <input type="text" value="{{$req['user']??''}}" name="user" placeholder="搜索用户昵称" class="form-control">
                                <input type="text" value="{{$req['name']??''}}" name="name" placeholder="搜索患者姓名" class="form-control">
                                <input type="text" value="{{$req['phone']??''}}" name="phone" placeholder="搜索手机号" class="form-control">
                                <input type="text" value="{{$req['guardian_name']??''}}" name="guardian_name" placeholder="搜索监护人姓名" class="form-control">
                                <select name="product_type" class="form-control">
                                    <option value="0">请选择用户类型</option>
                                    <option <?php if (!empty($req['product_type']) && $req['product_type'] == 4) { echo 'selected'; } ?> value="4">计免</option>
                                    <option <?php if (!empty($req['product_type']) && $req['product_type'] == 5) { echo 'selected'; } ?> value="5">儿保</option>
                                </select>
                                <input class="btn btn-flat btn-primary m_10" type="submit" value="搜索">
                                <button onclick="showSendNotice()" class="btn btn-info" type="button" style="float: right">群发通知</button>
                            </form>
                        </div>
                    </div>

                    <table class="table table-bordered table-hover table-striped">
                        <tbody>
                        <tr>
                            <th>{{--<input id="batch_selected" type="checkbox" onclick="batch_selected()">--}}</th>
                            <th>用户</th>
                            <th>监护人</th>
                            <th>患者</th>
                            <th>关系</th>
                            <th>手机号</th>
                            <th>出生日期</th>
                            <th>操作</th>
                        </tr>
                        <?php foreach ($list as $k => $v){ ?>
                        <tr>
                            <td><input class="box_ids" type="checkbox" value="{{$v['id']}}" name="ids" onclick="selected(this)" <?php if (in_array($v['id'], $ids)) { echo 'checked'; } ?>></td>
                            <td>{{$v['users']['nickname']}}</td>
                            <td>{{$v['guardian_name']}}</td>
                            <td>{{$v['name']}}</td>
                            <td>{{$v['relationship_type_text']}}</td>
                            <td>{{$v['phone']}}</td>
                            <td>{{$v['birthday']}}</td>
                            <td></td>
                        </tr>
                        <?php }?>
                        </tbody>
                    </table>
                </div>
                <div style="text-align:center;font-size: 14px;">{{ $list->links() }}</div>
            </div>
        </div>
    </div>
</div>

<div id="show_send_notice" style="display: none">
    <div class="modal-content">
        <form id="commentForm">
            <div class="modal-body">
                <div class="form-group">
                    <label>发送用户</label>
                    <div id="name_text"></div>
                </div>
                <div class="form-group">
                    <label>内容</label>
                    <textarea name="content" class="form-control content action" rows="4" placeholder="输入内容"></textarea>
                </div>
                <div class="form-group">
                    <label>服务类型</label>
                    <select class="form-control" name="type">
                        <option value="">请选择</option>
                        <option value="4">计免</option>
                        <option value="5">儿保</option>
                    </select>
                </div>
                <div class="form-group">
                    <label>服务时间</label>
                    <input type="text" id="service_time" name="stime" value="" class="form-control">
                </div>
                <div class="form-group">
                    <label>备注</label>
                    <textarea name="remark" class="form-control" rows="3" placeholder="输入备注"></textarea>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" onclick="closeShow()">关闭</button>
                <button type="button" class="btn btn-primary" onclick="sendNotice()">提交</button>
            </div>
        </form>
    </div>
</div>

<script src="/layui/layer/layer.js"></script>
<script src="/laydate/laydate.js?v=2.2.1"></script>

<script>
    $(function () {
        laydate.render({
            elem: '#service_time',
            format: 'yyyy-MM-dd',
        });
    })

    function showSendNotice()
    {
        $.post("{{ url('/cdms/community/noticeManage/getCacheUsers') }}", {type: "notice"}, function (res) {
            if (res.status == 0) {
                $('#name_text').text(res.data);
                layer.open({
                    type: 1,
                    title: '群发通知',
                    area: ['50%', '95%'], //宽高
                    content: $('#show_send_notice')
                });
            }
            else {
                alert(res.message);
            }
        })
    }

    function batch_selected()
    {
        if ($('#batch_selected').is(':checked')) {
            $("input[name='ids']").attr("checked","true");
        }
        else {
            $("input[name='ids']").removeAttr("checked");
        }

        selected();
    }

    function selected(obj)
    {
        var checkID = [$(obj).val()];

        $.post("{{ url('/cdms/community/noticeManage/saveIds') }}", {ids: checkID, type: "notice"}, function (res) {
            if (res.status != 0) {
                alert(res.message);
            }
        })
    }

    function closeShow()
    {
        layer.closeAll();
    }

    function sendNotice()
    {
        $.post('{{url("/cdms/Community/NoticeManage/sendNotice")}}', $('#commentForm').serialize(), function (res) {
            if (res.status == 0){
                location.reload(true);
            }
            else {
                layer.msg(res.message, {icon: 5, time: 3000});
            }
        });
    }
</script>
